<?php

namespace Sibs\Stargate\Constants;

defined('ABSPATH') || exit;

class Environments implements ConstantsInterface
{
    public const DEV = 'DEV';
    public const TST = 'TST';
    public const QLY = 'QLY';
    public const CER = 'CER';
    public const PRD = 'PRD';

    /**
     * All.
     */
    public static function all(): array
    {
        return [
            self::DEV,
            self::TST,
            self::QLY,
            self::CER,
            self::PRD,
        ];
    }

    /**
     * Default.
     */
    public static function default(): mixed
    {
        return self::QLY;
    }
}
